#
# spec file for package xdx
#
# Copyright (c) 2017 Walter Fey DL8FCL
# Copyright (c) 2025 Andreas Stieger <Andreas.Stieger@gmx.de>
#
# This file is under MIT license

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           xdx
Version:        2.91
Release:        1.1
Summary:        Dx-cluster client for amateur radio
License:        GPL-2.0-or-later
Group:          Productivity/Hamradio/Other
URL:            https://github.com/N0NB/xdx/
Source:         https://github.com/N0NB/xdx/releases/download/%{version}/%{name}-%{version}.tar.gz
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(gtk+-3.0)

%description
Xdx is a dedicated network client for amateur radio operators who want
to exchange DX (long distance) radio information. After connection
to a DX-cluster, xdx will show DX-spots in a list and other messages
('To all' and WWV/WCY messages) in a text widget.

%prep
%autosetup -p1

%build
%configure
%make_build

%install
%make_install
%find_lang %{name}
mkdir -p %{buildroot}/%{_docdir}/%{name}
mv -v %{buildroot}/%{_datadir}/%{name}/MANUAL* %{buildroot}/%{_docdir}/%{name}

%check
%make_build check

%files -f %{name}.lang
%license COPYING
%doc AUTHORS ChangeLog NEWS README TODO
%{_bindir}/xdx
%{_datadir}/%{name}
%{_docdir}/%{name}
%{_mandir}/man1/xdx.1%{?ext_man}
%{_datadir}/applications/Xdx.desktop

%changelog
* Sat Feb 15 2025 Andreas Stieger <andreas.stieger@gmx.de>
- Update to 2.91:
  * new upstream maintainer
  * ported to GTK3
- fix build, and spec file preparation for openSUSE TW inclusion
* Sun May 10 2015 dl8fcl@darc.de
- update to version 2.5.0~rc3
  * Complete function key command entry support.
  * Add close dialog when Ctl-Q is used to exit.
  * Update manual page to current conventions.
  * Update GPL boiler plate for current FSF mailing address.
  * Spanish translation update from Baltasar, EA8BVP.
  * German translation update from Tom, DL1JBE.
  * Polish translation update from Bogusław, SQ5TB.
  * Update to CTY-2505 – 20 April 2015.
* Tue Jan  6 2015 dl8fcl@darc.de
- update to version 2.5.0~rc2
* Fri Dec 26 2014 dl8fcl@darc.de
- update to version 2.5.0~rc
  * Complete function key command entry support.
  * Add close dialog when Ctl-Q is used to exit.
  * Update manual page to current conventions.
* Wed Feb 19 2014 dl8fcl@darc.de
- update to version 2.4.3
  * Apply Debian patch from bug #577377.
  * Bring build system up to date for later versions of Autotools.
  * Do not track any build system generated files in Git VCS.
  * Modify source as needed for clean build with Gtk+ 2.24.
  * New upstream maintainer, Nate Bargmann, N0NB <n0nb@n0nb.us>
  * Development hosted at https://github.com/N0NB/xdx
  * Portuguese translation update from David, CT1DRB
  * Add support to load updated country file using command line option,
    environment variable, or placing cty.dat in the preferences directory.
  * Fix URI handling for GTK+ 2.24 and later.
  * Disable function keys for this release.
  all post-build-checks enabled again
* Sat Sep 22 2012 dl8fcl@darc.de
- 64bit-portability.diff removed
- post-build-checks disabled for >= 12.1
* Mon Aug 29 2011 dl8fcl@darc.de
- 64bit-portability-issues fixed
* Tue Jul 13 2010 dl8fcl@darc.de
- fixed deprecated GtkWidget
* Sun Jan 11 2009 dl8fcl@darc.de
- update to 2.4.2
* Mon Dec 15 2008 dl8fcl@darc.de
- updated to 2.4.1
